﻿@model eCommerce.UI.ViewModels.SiteMenuViewModel

<nav id="top-megamenu-nav" class="megamenu-vertical animate-dropdown">
    <div class="container">
        <div class="yamm navbar">
            
            <div class="navbar-header">
                <button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#mc-horizontal-menu-collapse">
                    <span class="sr-only">Toggle navigation</span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                </button>
            </div>

            <div class="collapse navbar-collapse" id="mc-horizontal-menu-collapse">
                <ul class="nav navbar-nav">
                    
                    
                    @if (Model.ParentCategories.Count > 7)
                    {
                        Html.RenderPartial("_SiteMenuItems", Model);

                        <li class="dropdown">
                            <a href="#" class="dropdown-toggle" data-hover="dropdown" data-toggle="dropdown">Otros</a>
                            <ul class="dropdown-menu">
                                @foreach (var subItem in Model.ParentCategories.Skip(7))
                                {
                                    <li><a href="/Catalogo?rubro=@Url.Encode(subItem.FormattedName)">@subItem.Name</a></li>
                                }
                            </ul>
                        </li>
                    }
                    else
                    {
                        Html.RenderPartial("_SiteMenuItems", Model);
                    }
                    
                </ul><!-- /.navbar-nav -->
            </div><!-- /.navbar-collapse -->
        </div><!-- /.navbar -->
    </div><!-- /.container -->
</nav>
